com.creamtec.ajaxswing.gui.peer

## Class AjaxSwingLabelPeer

- java.lang.Object
- - com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer
  - - com.creamtec.ajaxswing.gui.peer.AjaxSwingLabelPeer

- All Implemented Interfaces:
    java.awt.peer.ComponentPeer, java.awt.peer.LabelPeer

      public class AjaxSwingLabelPeer
      extends AjaxSwingComponentPeer
      implements java.awt.peer.LabelPeer

- - ### Field Summary

    - ### Fields inherited from interface java.awt.peer.ComponentPeer

      `DEFAULT_OPERATION, NO_EMBEDDED_CHECK, RESET_OPERATION, SET_BOUNDS, SET_CLIENT_SIZE, SET_LOCATION, SET_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingLabelPeer(java.awt.Component target)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `createDelegate()`
    `boolean` | `isFocusable()`
    `void` | `setAlignment(int alignment)`
    `void` | `setText(java.lang.String text)`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createImage, createImage, createVolatileImage, destroyBuffers, disable, dispose, enable, flip, flip, getAppropriateGraphicsConfiguration, getBackBuffer, getBounds, getColorModel, getDelegate, getDelegateComponent, getFontMetrics, getGraphics, getGraphicsConfiguration, getImage, getLocationOnScreen, getMinimumSize, getPreferredSize, getTarget, getToolkit, handleEvent, handlesWheelScrolling, hide, isFocusTraversable, isObscured, isReparentSupported, layout, minimumSize, paint, preferredSize, prepareImage, print, repaint, reparent, requestFocus, requestFocus, requestFocus, reshape, setBackground, setBounds, setBounds, setBounds, setCursor, setDelegate, setDelegateComponent, setEnabled, setFont, setForeground, setTarget, setVisible, setZOrder, show, updateCursorImmediately, updateGraphicsData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.peer.ComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createImage, createImage, createVolatileImage, destroyBuffers, dispose, flip, getBackBuffer, getColorModel, getFontMetrics, getGraphics, getGraphicsConfiguration, getLocationOnScreen, getMinimumSize, getPreferredSize, getToolkit, handleEvent, handlesWheelScrolling, isObscured, isReparentSupported, layout, paint, prepareImage, print, reparent, requestFocus, setBackground, setBounds, setEnabled, setFont, setForeground, setVisible, setZOrder, updateCursorImmediately, updateGraphicsData`

- - ### Constructor Detail

    - #### AjaxSwingLabelPeer

          public AjaxSwingLabelPeer(java.awt.Component target)

  - ### Method Detail

    - #### createDelegate

          public javax.swing.JComponent createDelegate()

      Overrides:
        `createDelegate` in class `AjaxSwingComponentPeer`

    - #### setText

          public void setText(java.lang.String text)

      Specified by:
        `setText` in interface `java.awt.peer.LabelPeer`

    - #### setAlignment

          public void setAlignment(int alignment)

      Specified by:
        `setAlignment` in interface `java.awt.peer.LabelPeer`

    - #### isFocusable

          public boolean isFocusable()

      Specified by:
        `isFocusable` in interface `java.awt.peer.ComponentPeer`
      Overrides:
        `isFocusable` in class `AjaxSwingComponentPeer`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.